const numberContainer = document.getElementById('jackpot_value');

if (numberContainer) {
    let jackpotBase = new Date().getTime() - 1711161678724;

    function generateRandomNumber() {
        const randomNumber = Math.floor(Math.random() * 51);
        const newJackpot = jackpotBase += randomNumber;

        numberContainer.textContent = newJackpot.toLocaleString();
    }

    setInterval(generateRandomNumber, 1000);

    generateRandomNumber();
}
